package handlers_test

import (
	"net/http"
	"testing"

	"otaupdate/handlers"
	"otaupdate/services"

	"github.com/fiskerinc/cloud-services/pkg/mongo"
	th "github.com/fiskerinc/cloud-services/pkg/testhelper"
)

func TestVehicleFilterDelete(t *testing.T) {
	client, err := services.GetMongoClient()
	if err != nil {
		t.Error(err)
		return
	}
	mockMongo := mongo.NewVehiclesCollection(&mongo.MockCollection{})
	client.SetVehicles(mockMongo)

	tests := []th.BasicHttpTest{
		{
			Name:             "Valid data",
			Request:          th.MakeTestRequest(http.MethodDelete, "http://example.com/vehicle/2D4FV48T95H646760/filter/123", nil),
			ExpectedStatus:   http.StatusOK,
			ExpectedResponse: `{"message":"Deleted"}`,
		},
	}

	th.RunParamHttpTests(t, tests, handlers.HandleVehicleFilterDelete, "/vehicle/:vin/filter/:id")
}
